Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have tried to install CodeBlocks 12 manually because in Software Center there's the version 10. I have downloaded the package for Debian 64 bit and I have tried to install by typing

sudo dpkg -i *.deb

but it failed. I have restart my computer and I opened Software Center. It repaired something and I guess it installed the version 10. It was working but I removed it from Software Center. Now I cannot install it again. It says something like "Package dependencies cannot be resolved" and in details

The following packages have unmet dependencies:

codeblocks: Depends: libgcc1 (>= 1:4.1.1) but 1:4.7.2-2ubuntu1 is to be installed 
 Depends: codeblocks-common (= 10.05-2.1) but 12.11-2 is to be installed

and plus Software Center software gives internal error message.

And I typed

whereis codeblocks

and I have removed all files there manually.

I can't still install CodeBlocks. Does someone know what should I do now?

Thanks.

share|improve this question
    
Ok :) I solved by typing apt-get autoremove apt-get remove codeblocks-common libwxsmithwidgets0 libcodeblocks and install it again by typing apt-get install codeblocks Thanks again. –  user151713 May 11 '13 at 13:59
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.